Subject: ***SPAM*** 48.474 (5) Amaze your chick with your new legendary manhood.

From: "Kjartan Sardella" <[email-masked]>
Date: Fri, 1 Feb 2008 14:32:15 +0200

A huge manhood is your ticket to a great sex life, everyday.